Loading...
Searching...
No Matches
mouse.h File Reference
`#include "arc/math/point.h"`
`#include <stdint.h>`

Go to the source code of this file.

## Macros

#define | ARC_MOUSE_BUTTON_NUM 5

## Typedefs

typedef struct ARC_Mouse | ARC_Mouse
typedef enum ARC_MouseState | ARC_MouseState
typedef enum ARC_MouseButton | ARC_MouseButton

## Enumerations

enum | ARC_MouseState { ARC_MOUSE_NONE , ARC_MOUSE_PRESSED , ARC_MOUSE_RELEASED }
enum | ARC_MouseButton { ARC_MOUSE_LEFT = 0 , ARC_MOUSE_MIDDLE = 1 , ARC_MOUSE_RIGHT = 2 , ARC_MOUSE_X1 = 3 , ARC_MOUSE_X2 = 4 }

## Functions

void | ARC_Mouse_CreateWithInput (ARC_Mouse **mouse, ARC_Input *input)
void | ARC_Mouse_Destroy (ARC_Mouse *mouse)
void | ARC_Mouse_Update (ARC_Mouse *mouse)
ARC_Point * | ARC_Mouse_GetCoords (ARC_Mouse *mouse)
ARC_MouseState | ARC_Mouse_GetState (ARC_Mouse *mouse, ARC_MouseButton button)
int32_t * | ARC_Mouse_GetScrollY (ARC_Mouse *mouse)

## Macro Definition Documentation

## ARC_MOUSE_BUTTON_NUM

#define ARC_MOUSE_BUTTON_NUM 5

Definition at line 32 of file mouse.h.

## Typedef Documentation

## ARC_Mouse

typedef struct ARC_Mouse ARC_Mouse

Definition at line 16 of file mouse.h.

## ARC_MouseButton

typedef enum ARC_MouseButton ARC_MouseButton

## ARC_MouseState

typedef enum ARC_MouseState ARC_MouseState

## Enumeration Type Documentation

## ARC_MouseButton

enum ARC_MouseButton

Enumerator
ARC_MOUSE_LEFT |
ARC_MOUSE_MIDDLE |
ARC_MOUSE_RIGHT |
ARC_MOUSE_X1 |
ARC_MOUSE_X2 |

Definition at line 24 of file mouse.h.

{
ARC_MOUSE_LEFT = 0,
ARC_MOUSE_MIDDLE = 1,
ARC_MOUSE_RIGHT = 2,
ARC_MOUSE_X1 = 3,
ARC_MOUSE_X2 = 4
} ARC_MouseButton;
ARC_MouseButton
ARC_MouseButton
Definition mouse.h:24
ARC_MOUSE_X2
@ ARC_MOUSE_X2
Definition mouse.h:29
ARC_MOUSE_LEFT
@ ARC_MOUSE_LEFT
Definition mouse.h:25
ARC_MOUSE_RIGHT
@ ARC_MOUSE_RIGHT
Definition mouse.h:27
ARC_MOUSE_X1
@ ARC_MOUSE_X1
Definition mouse.h:28
ARC_MOUSE_MIDDLE
@ ARC_MOUSE_MIDDLE
Definition mouse.h:26

## ARC_MouseState

enum ARC_MouseState

Enumerator
ARC_MOUSE_NONE |
ARC_MOUSE_PRESSED |
ARC_MOUSE_RELEASED |

Definition at line 18 of file mouse.h.

{
ARC_MOUSE_NONE,
ARC_MOUSE_PRESSED,
ARC_MOUSE_RELEASED
} ARC_MouseState;
ARC_MouseState
ARC_MouseState
Definition mouse.h:18
ARC_MOUSE_RELEASED
@ ARC_MOUSE_RELEASED
Definition mouse.h:21
ARC_MOUSE_PRESSED
@ ARC_MOUSE_PRESSED
Definition mouse.h:20
ARC_MOUSE_NONE
@ ARC_MOUSE_NONE
Definition mouse.h:19

## Function Documentation

## ARC_Mouse_CreateWithInput()

void ARC_Mouse_CreateWithInput | ( | ARC_Mouse ** | mouse,
|  | ARC_Input * | input )

## ARC_Mouse_Destroy()

void ARC_Mouse_Destroy | ( | ARC_Mouse * | mouse | ) |

## ARC_Mouse_GetCoords()

ARC_Point * ARC_Mouse_GetCoords | ( | ARC_Mouse * | mouse | ) |

## ARC_Mouse_GetScrollY()

int32_t * ARC_Mouse_GetScrollY | ( | ARC_Mouse * | mouse | ) |

## ARC_Mouse_GetState()

ARC_MouseState ARC_Mouse_GetState | ( | ARC_Mouse * | mouse,
|  | ARC_MouseButton | button )

## ARC_Mouse_Update()

void ARC_Mouse_Update | ( | ARC_Mouse * | mouse | ) |